Bug 498785 - (perl-Term-Prompt) Review Request: perl-Term-Prompt - Perl extension for prompting a user for information
Review Request: perl-Term-Prompt - Perl extension for prompting a user for in...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Term-Prompt/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-03 06:51 EDT by Iain Arnell
Modified: 2009-05-13 22:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.04-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-04 01:58:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-05-03 06:51:49 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Term-Prompt.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Term-Prompt-1.04-1.fc12.src.rpm

Description:
This main function of this module is to accept interactive input. You
specify the type of inputs allowed, a prompt, help text and defaults and it
will deal with the user interface, (and the user!), by displaying the
prompt, showing the default, and checking to be sure that the response is
one of the legal choices. Additional 'types' that could be added would be a
phone type, a social security type, a generic numeric pattern type...

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1333730

*rt-0.09
Comment 1 Parag AN(पराग) 2009-05-03 11:39:19 EDT
Review:
+ package builds in mock (rawhide i586).
lkoji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1333730
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
505213e26be3e46ed03d47f0c955f5f9  Term-Prompt-1.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
Files=1, Tests=1,  0 wallclock secs ( 0.04 usr  0.01 sys +  0.06 cusr  0.00 csys =  0.11 CPU)
+ Package perl-Term-Prompt-1.04-1.fc12.noarch ->
Provides: perl(Term::Prompt) = 1.04
Requires: perl >= 0:5.006001 perl(Carp) perl(Exporter) perl(Term::ReadKey) perl(Text::Wrap) perl(strict) perl(warnings)


 APPROVED.
Comment 2 Iain Arnell 2009-05-03 11:56:59 EDT
New Package CVS Request
=======================
Package Name: perl-Term-Prompt
Short Description: Perl extension for prompting a user for information
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-05-03 23:54:39 EDT
cvs done.
Comment 4 Fedora Update System 2009-05-04 01:50:40 EDT
perl-Term-Prompt-1.04-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Term-Prompt-1.04-1.fc11
Comment 5 Fedora Update System 2009-05-04 01:50:45 EDT
perl-Term-Prompt-1.04-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Term-Prompt-1.04-1.fc10
Comment 6 Iain Arnell 2009-05-04 01:58:03 EDT
Thanks for the review! :-)
Comment 7 Fedora Update System 2009-05-13 22:51:53 EDT
perl-Term-Prompt-1.04-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-05-13 22:54:17 EDT
perl-Term-Prompt-1.04-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.